[build-system]
requires = ["setuptools>=56.0"]
build-backend = "setuptools.build_meta"

[project]
name = "pygments-lexer-pseudocode2"
description = "Pygments Lexer for a french pseudocode"
license = { file = "LICENSES/MIT.txt" }
authors = [
  {name = "Simon Wachter", email = "simon@wachter.me"},
  {name = "Franz Glasner", email = "fzglas.hg@dom66.de"},
]
classifiers = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: Developers",
    "Intended Audience :: Education",
    "Intended Audience :: End Users/Desktop",
    "Intended Audience :: Information Technology",
    "License :: OSI Approved :: MIT License",
    "Natural Language :: French",
    "Operating System :: OS Independent",
    "Programming Language :: Python",
    "Topic :: Documentation",
    "Topic :: Software Development :: Documentation",
    "Topic :: Text Processing",
    "Topic :: Utilities",
]
dependencies = [
    #
    # - Tests need this version for "load_XXX_from_file()"
    # - But Sphinx yields errors on Python 2.7 (also with Pygments 2.0.1)
    #
    "Pygments>=2.2",
    # Python 3.8+ and also works with Sphinx
    # "Pygments>=2.15",
]
dynamic = [
    "readme",
    "version",
]

[project.urls]
# The original homepage of the Pseudo code (fr) lexer
homepage = "https://github.com/svvac/pseudocode-pygments-lexer"

[project.entry-points.'pygments.lexers']
# The mostly original and sonewhat extended Pseudocode lexer (fr)
fr_pseudocodelexer = "pygments_lexer_pseudocode2.fr_pseudocode:FrPseudocodeLexer"
algpseudocodelexer = "pygments_lexer_pseudocode2.algpseudocode:AlgPseudocodeLexer"
algpseudocodelexer_de = "pygments_lexer_pseudocode2.algpseudocode:AlgPseudocodeLexer_DE"
algpseudocodelexer_fr = "pygments_lexer_pseudocode2.algpseudocode:AlgPseudocodeLexer_FR"

[tool.setuptools]
packages = [
    "pygments_lexer_pseudocode2",
]
platforms = ["any"]
zip-safe = true
include-package-data = false

[tool.setuptools.dynamic]
version = {attr = "pygments_lexer_pseudocode2.__version__"}
readme = {file = ["README.md"], content-type = "text/markdown"}
